Subject: Re: PowerPC4xx Watchdog

From: Matt Porter <[email-masked]>
Date: Wed, 2 Mar 2005 10:52:01 -0700

On Thu, Feb 24, 2005 at 08:36:21AM +0900, Takeharu KATO wrote:
> Hi
> 
> >> Are you looking for the old "ppc405 watchdog" driver that simply
> >> hooked into the generic PPC heartbeat facility? Or are you looking
> >> for a driver that utilizes the 4xx/booke hardware watchdog facility?
> >>
> > I am looking for a driver that utilizes the 4xx/booke hardware watchdog 
> > facility.
> > 
> > 
> FYI, I wrote a driver uses 4xx/booke hardware watchdog.
> BTW, is hooking PPC heartbeat facility obsoleted?

I see.  The ppc_md.heartbeat facility isn't going anywhere as there
are multiple users.  It's possible to take the "ppc405_wdt" driver
with a rename and minor cleanup have it be a generic timebase driven
watchdog driver that is compliant with the familiar WD interface.

What do you see as the advantage to having a watchdog driver
that uses the booke hardware watchdog facility over a generic
timebase driven driver?

-Matt